QXmppLoggable Class Reference
Core classes

The QXmppLoggable class represents a source of logging messages. More...

`#include <QXmppLogger.h>`

Inheritance diagram for QXmppLoggable:
[legend]

## Signals

void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppLoggable (QObject *parent=nullptr)

## Protected Member Functions

void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppLoggable class represents a source of logging messages.

## Constructor & Destructor Documentation

## QXmppLoggable()

QXmppLoggable::QXmppLoggable | ( | QObject * | parent = `nullptr` | ) |

Constructs a new QXmppLoggable.

Parameters

  parent |

## Member Function Documentation

## debug()

void QXmppLoggable::debug | ( | const QString & | message | ) |

inline protected

Logs a debugging message.

Parameters

  message |

## info()

void QXmppLoggable::info | ( | const QString & | message | ) |

inline protected

Logs an informational message.

Parameters

  message |

## logReceived()

void QXmppLoggable::logReceived | ( | const QString & | message | ) |

inline protected

Logs a received packet.

Parameters

  message |

## logSent()

void QXmppLoggable::logSent | ( | const QString & | message | ) |

inline protected

Logs a sent packet.

Parameters

  message |

## warning()

void QXmppLoggable::warning | ( | const QString & | message | ) |

inline protected

Logs a warning message.

Parameters

  message |

The documentation for this class was generated from the following files:

- QXmppLogger.h
- QXmppLogger.cpp